LoudVoice API \ Authors \ List all authors

Resource/URI - Discussions GET POST PUT DELETE
Discussions /loudvoice/discussions.json List all discussions Create a discussion – –
Discussion /loudvoice/discussions/<discussion_token>.json Read a discussion – Update a discussion Delete a discussion
Discussion messages /loudvoice/comments/<discussion_token>/comments.json Read discussion comments – – –
Resource/URI - Authors GET POST PUT DELETE
Authors /loudvoice/authors.json List all authors Create an author – –
Author /loudvoice/authors/<author_token>.json Read an author – Update an author Delete an author
Resource/URI - Author Sessions GET POST PUT DELETE
Author Sessions /loudvoice/authors/sessions.json List all sessions – Create or update a session –
Author Session /loudvoice/authors/sessions/<session_token>.json – – – Delete a session
Resource/URI - Comments GET POST PUT DELETE
Comments /loudvoice/comments.json List all comments Create a comment – –
Comment /loudvoice/comments/<comment_token>.json Read a comment – Update a comment Delete a comment
Resource/URI - Votes GET POST PUT DELETE
Votes /loudvoice/votes.json List all
votes
– – –
Vote /loudvoice/votes/comments/<comment_token>/authors/<author_token>.json Read a vote – Cast a vote Delete a vote

Workflow

Request: the code to send to the API

Send an API request to this endpoint in order to retrieve the complete list of your authors:

GET /loudvoice/authors.json

Result: the code returned by the API

The API will either return a HTTP status code 200 on success or an appropriate message body with further details on the error that occured. Requests that return multiple entries will be paginated to 250 items by default.

Example Resultset

{
  "response": {
    "request": {
      "date": "Wed, 14 Mar 2018 16:40:11  0100",
      "resource": "/loudvoice/authors.json",
      "status": {
        "flag": "success",
        "code": 200,
        "info": "Your request has been processed successfully"
      }
    },
    "result": {
      "data": {
        "authors": {
          "pagination": {
            "current_page": 1,
            "total_pages": 1,
            "entries_per_page": 250,
            "total_entries": 2,
            "order": {
              "field": "date_creation",
              "direction": "asc"
            }
          },
          "count": 2,
          "entries": [
            {
              "author_token": "d86196e7-969d-48ad-8fe1-63a1f074f9b0",
              "identity_token": "5dd7336a-cb66-42dc-95da-1a6dade8f743",
              "author_reference": "USER-10",
              "date_creation": "Wed, 14 Mar 2018 15:48:01  0100",
              "name": "Jane Doe",
              "email": "jane@example.com",
              "picture_url": null,
              "website_url": "http://www.example.com/",
              "description": null,
              "num_comments": 8,
              "date_last_comment": "Wed, 14 Mar 2018 15:48:01  0100",
              "date_last_update": null
            },
            {
              "author_token": "e570f17a-f018-49f2-be95-35dd31105c93",
              "identity_token": null,
              "author_reference": "USER-11",
              "date_creation": "Wed, 14 Mar 2018 14:19:49  0100",
              "name": "John Doe",
              "email": "john@example.com",
              "picture_url": "http://www.example.com/john.png",
              "website_url": "http://www.example.com/",
              "description": null,
              "num_comments": 2,
              "date_last_comment": "Wed, 14 Mar 2018 14:19:49  0100",
              "date_last_update": null
            }
          ]
        }
      }
    }
  }
}

User Contributed Notes